<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php page_title(); ?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
	<meta name="description" content="<?php page_description(); ?>" />
	<meta name="keywords" content="<?php page_keywords(); ?>" />
	<meta http-equiv="imagetoolbar" content="no" />
	<?php
// this allows to include the optional module files (frontend.css, frontend.js) into the head section
if(function_exists('register_frontend_modfiles')) {
  register_frontend_modfiles('css');
  register_frontend_modfiles('js');
} ?>
	<link rel="stylesheet" href="<?php echo TEMPLATE_DIR; ?>/bl-stylesheet.css" type="text/css" media="screen" />
</head>
<body>
	<div id="container">
		<div id="header">
			<h1 title="Blue Leaves"><?php page_title('', '[WEBSITE_TITLE]'); ?></h1>
			<h2 title="how strange">Tagline</h2>
		</div>
		<ul id="nav">
		<?php show_menu(1,0,1,true,'<li>[a][menu_title][/a]</li>','','','','','class="on"'); ?>
		</ul>
		<div id="sidebar">
			<?php ob_start();     // start output buffer
			show_menu(1,1,-1,true,'[a][menu_title][/a]<br />','','','','','');    // call menu
			$foo=ob_get_contents();    // put outputbuffer in $foo
			ob_end_clean();             // clear outputbuffer
			if ($foo<>"") {  // some code to execute cause there is some block
			  echo '<div>';
			  echo '<h3 title="Sidebar">Menu</h3>'; 			 
			  echo $foo;			  
			  echo '</div>';                              // show the block (as saved in $foo)
			  } else { // some code for no info
			}
			?>
		<?php
		if(FRONTEND_LOGIN AND !$wb->is_authenticated()) {
		?>
		<div>
		<h3><?php echo $TEXT['LOGIN']; ?></h3>
		<form name="login" action="<?php echo LOGIN_URL; ?>" method="post">
		<?php echo $TEXT['USERNAME']; ?>:
		<input type="text" name="username" /><br />
		<?php echo $TEXT['PASSWORD']; ?>: <br />
		<input type="password" name="password" /><br /><br />
		<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" /><br />
		<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
		<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
		<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
		<?php } ?>
		</form>
		</div>
		<?php
		} elseif(FRONTEND_LOGIN AND $wb->is_authenticated()) {
		?>
		<div>
		<h3><?php echo $TEXT['LOGGED_IN']; ?></h3>
		<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post">
		<?php echo $TEXT['WELCOME_BACK']; ?>,<br /> <a href="<?php echo PREFERENCES_URL; ?>">
		<?php echo $wb->get_display_name(); ?></a><br /><br />
		<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
		</form>
		</div>
		<?php
		}
		?>
		<?php if(SHOW_SEARCH) { ?>
		<div id="searchdiv">
		<h3><?php echo $TEXT['SEARCH']; ?></h3>
          <form name="search" action="<?php echo WB_URL.'/search/index'.PAGE_EXTENSION; ?>" method="post">
			<input type="text" name="string" size="15" /><br /><br />
            <input type="submit" name="submit" value="<?php echo $TEXT['SEARCH']; ?>" />
          </form>
		</div>      
		 <?php } 
		?>     			
		</div>
		<div id="content">
			<div>
				<h3><?php page_title('','[PAGE_TITLE]'); ?></h3>
				<?php page_content(); ?>
			</div>				
     	</div>	
		<div id="footer">
			Powered by <a href="http://www.websitebaker.org/" target="_blank">
			Website Baker</a><br />&copy;&nbsp;<?php page_title('','[WEBSITE_TITLE]'); ?><br /> 
			Design by <a href="http://www.growldesign.co.uk">growldesign</a>
		</div>
	</div>
</body>
</html>